package mhp.oee.po.gen;

import java.math.BigDecimal;
import java.util.Date;

import mhp.oee.po.extend.OeeOeeTrendPO;

public class ResourceReasonCodeLogPO implements Cloneable{
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_reason_code_log.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_reason_code_log.SITE
     *
     * @mbggenerated
     */
    private String site;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_reason_code_log.RESOURCE_BO
     *
     * @mbggenerated
     */
    private String resourceBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_reason_code_log.STRT
     *
     * @mbggenerated
     */
    private String strt;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_reason_code_log.RESOURCE_STATE
     *
     * @mbggenerated
     */
    private String resourceState;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_reason_code_log.START_DATE_TIME
     *
     * @mbggenerated
     */
    private Date startDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_reason_code_log.END_DATE_TIME
     *
     * @mbggenerated
     */
    private Date endDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_reason_code_log.ELAPSED_TIME
     *
     * @mbggenerated
     */
    private BigDecimal elapsedTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_reason_code_log.REASON_CODE
     *
     * @mbggenerated
     */
    private String reasonCode;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_reason_code_log.COMMENT
     *
     * @mbggenerated
     */
    private String comment;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_reason_code_log.MAINTENANCE_NOTIFICATION
     *
     * @mbggenerated
     */
    private String maintenanceNotification;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_reason_code_log.MAINTENANCE_ORDER
     *
     * @mbggenerated
     */
    private String maintenanceOrder;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_reason_code_log.ME_USER_ID
     *
     * @mbggenerated
     */
    private String meUserId;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_reason_code_log.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_reason_code_log.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_reason_code_log.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_reason_code_log.HANDLE
     *
     * @return the value of resource_reason_code_log.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_reason_code_log.HANDLE
     *
     * @param handle the value for resource_reason_code_log.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_reason_code_log.SITE
     *
     * @return the value of resource_reason_code_log.SITE
     *
     * @mbggenerated
     */
    public String getSite() {
        return site;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_reason_code_log.SITE
     *
     * @param site the value for resource_reason_code_log.SITE
     *
     * @mbggenerated
     */
    public void setSite(String site) {
        this.site = site == null ? null : site.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_reason_code_log.RESOURCE_BO
     *
     * @return the value of resource_reason_code_log.RESOURCE_BO
     *
     * @mbggenerated
     */
    public String getResourceBo() {
        return resourceBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_reason_code_log.RESOURCE_BO
     *
     * @param resourceBo the value for resource_reason_code_log.RESOURCE_BO
     *
     * @mbggenerated
     */
    public void setResourceBo(String resourceBo) {
        this.resourceBo = resourceBo == null ? null : resourceBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_reason_code_log.STRT
     *
     * @return the value of resource_reason_code_log.STRT
     *
     * @mbggenerated
     */
    public String getStrt() {
        return strt;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_reason_code_log.STRT
     *
     * @param strt the value for resource_reason_code_log.STRT
     *
     * @mbggenerated
     */
    public void setStrt(String strt) {
        this.strt = strt == null ? null : strt.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_reason_code_log.RESOURCE_STATE
     *
     * @return the value of resource_reason_code_log.RESOURCE_STATE
     *
     * @mbggenerated
     */
    public String getResourceState() {
        return resourceState;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_reason_code_log.RESOURCE_STATE
     *
     * @param resourceState the value for resource_reason_code_log.RESOURCE_STATE
     *
     * @mbggenerated
     */
    public void setResourceState(String resourceState) {
        this.resourceState = resourceState == null ? null : resourceState.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_reason_code_log.START_DATE_TIME
     *
     * @return the value of resource_reason_code_log.START_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getStartDateTime() {
        return startDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_reason_code_log.START_DATE_TIME
     *
     * @param startDateTime the value for resource_reason_code_log.START_DATE_TIME
     *
     * @mbggenerated
     */
    public void setStartDateTime(Date startDateTime) {
        this.startDateTime = startDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_reason_code_log.END_DATE_TIME
     *
     * @return the value of resource_reason_code_log.END_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getEndDateTime() {
        return endDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_reason_code_log.END_DATE_TIME
     *
     * @param endDateTime the value for resource_reason_code_log.END_DATE_TIME
     *
     * @mbggenerated
     */
    public void setEndDateTime(Date endDateTime) {
        this.endDateTime = endDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_reason_code_log.ELAPSED_TIME
     *
     * @return the value of resource_reason_code_log.ELAPSED_TIME
     *
     * @mbggenerated
     */
    public BigDecimal getElapsedTime() {
        return elapsedTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_reason_code_log.ELAPSED_TIME
     *
     * @param elapsedTime the value for resource_reason_code_log.ELAPSED_TIME
     *
     * @mbggenerated
     */
    public void setElapsedTime(BigDecimal elapsedTime) {
        this.elapsedTime = elapsedTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_reason_code_log.REASON_CODE
     *
     * @return the value of resource_reason_code_log.REASON_CODE
     *
     * @mbggenerated
     */
    public String getReasonCode() {
        return reasonCode;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_reason_code_log.REASON_CODE
     *
     * @param reasonCode the value for resource_reason_code_log.REASON_CODE
     *
     * @mbggenerated
     */
    public void setReasonCode(String reasonCode) {
        this.reasonCode = reasonCode == null ? null : reasonCode.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_reason_code_log.COMMENT
     *
     * @return the value of resource_reason_code_log.COMMENT
     *
     * @mbggenerated
     */
    public String getComment() {
        return comment;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_reason_code_log.COMMENT
     *
     * @param comment the value for resource_reason_code_log.COMMENT
     *
     * @mbggenerated
     */
    public void setComment(String comment) {
        this.comment = comment == null ? null : comment.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_reason_code_log.MAINTENANCE_NOTIFICATION
     *
     * @return the value of resource_reason_code_log.MAINTENANCE_NOTIFICATION
     *
     * @mbggenerated
     */
    public String getMaintenanceNotification() {
        return maintenanceNotification;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_reason_code_log.MAINTENANCE_NOTIFICATION
     *
     * @param maintenanceNotification the value for resource_reason_code_log.MAINTENANCE_NOTIFICATION
     *
     * @mbggenerated
     */
    public void setMaintenanceNotification(String maintenanceNotification) {
        this.maintenanceNotification = maintenanceNotification == null ? null : maintenanceNotification.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_reason_code_log.MAINTENANCE_ORDER
     *
     * @return the value of resource_reason_code_log.MAINTENANCE_ORDER
     *
     * @mbggenerated
     */
    public String getMaintenanceOrder() {
        return maintenanceOrder;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_reason_code_log.MAINTENANCE_ORDER
     *
     * @param maintenanceOrder the value for resource_reason_code_log.MAINTENANCE_ORDER
     *
     * @mbggenerated
     */
    public void setMaintenanceOrder(String maintenanceOrder) {
        this.maintenanceOrder = maintenanceOrder == null ? null : maintenanceOrder.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_reason_code_log.ME_USER_ID
     *
     * @return the value of resource_reason_code_log.ME_USER_ID
     *
     * @mbggenerated
     */
    public String getMeUserId() {
        return meUserId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_reason_code_log.ME_USER_ID
     *
     * @param meUserId the value for resource_reason_code_log.ME_USER_ID
     *
     * @mbggenerated
     */
    public void setMeUserId(String meUserId) {
        this.meUserId = meUserId == null ? null : meUserId.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_reason_code_log.CREATED_DATE_TIME
     *
     * @return the value of resource_reason_code_log.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_reason_code_log.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for resource_reason_code_log.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_reason_code_log.MODIFIED_DATE_TIME
     *
     * @return the value of resource_reason_code_log.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_reason_code_log.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for resource_reason_code_log.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_reason_code_log.MODIFIED_USER
     *
     * @return the value of resource_reason_code_log.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_reason_code_log.MODIFIED_USER
     *
     * @param modifiedUser the value for resource_reason_code_log.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
    
    
    public Object clone(){  
        Object o=null;  
        try{  
           o=(ResourceReasonCodeLogPO)super.clone();  
        }catch(CloneNotSupportedException e){  
            e.printStackTrace();  
        }  
        return o;  
    }  
}